Get inbox contact messages
curl --request GET \
--url https://openapi.enginy.ai/v1/inboxes/:contactId/messages \
--header 'x-api-key: <api-key>'import requests
url = "https://openapi.enginy.ai/v1/inboxes/:contactId/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://openapi.enginy.ai/v1/inboxes/:contactId/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Inbox messages retrieved successfully",
"data": {
"contactId": 123,
"messages": [
{
"id": 9001,
"conversationId": 456,
"senderIdentityId": 14,
"content": "Thanks, this looks interesting. Can you send pricing?",
"subject": "Re: Intro from Enginy",
"type": "EMAIL",
"isContactSender": true,
"isAutosent": false,
"isAudio": false,
"isBounced": false,
"url": null,
"attachment": null,
"attachmentName": null,
"contentType": "TEXT",
"createdAt": "2026-03-20T09:41:12.000Z",
"updatedAt": "2026-03-20T09:41:12.000Z",
"viewCount": 0,
"clickCount": 0
},
{
"id": 9002,
"conversationId": 456,
"senderIdentityId": 14,
"content": "Yes, let me know what team size you are targeting and I will tailor the pricing recommendation.",
"subject": "Re: Intro from Enginy",
"type": "EMAIL",
"isContactSender": false,
"isAutosent": false,
"isAudio": false,
"isBounced": false,
"url": null,
"attachment": null,
"attachmentName": null,
"contentType": "TEXT",
"createdAt": "2026-03-20T10:03:40.000Z",
"updatedAt": "2026-03-20T10:03:40.000Z",
"viewCount": 0,
"clickCount": 0
}
]
}
}Inbox
Get inbox contact messages
Return the flattened inbox message history for a contact.
Required parameters:
- contactId: contact ID path parameter for the thread you want to inspect.
Optional query parameters:
-
senderIdentityId: limit the returned history to conversations owned by one sender identity
-
archived: set to true to read an archived thread instead of an active one. Defaults to false.
Required scope:
MESSAGING_READRate limit: 100 requests per minute
GET
/
v1
/
inboxes
/
:contactId
/
messages
Get inbox contact messages
Authorizations
Path Parameters
Contact ID for the thread you want to inspect
Example:
"123"
Query Parameters
Return only the message history visible for one sender identity.
Example:
14
Return archived threads instead of active ones. Defaults to false.
Example:
false
⌘I